# Function optionDirective

- optionDirective(
  $interpolate: any,
  ): {
  priority: number;
  restrict: string;
  compile(
  element: any,
  attr: any,
  ): (scope: any, element: any, attr: any) => void;
  }

  #### Parameters

  - $interpolate: any

  #### Returns {
  priority: number;
  restrict: string;
  compile(
  element: any,
  attr: any,
  ): (scope: any, element: any, attr: any) => void;
  }

  - Defined in src/directive/select/select.js:551

##### Index

### Properties

$inject

## Properties

### $inject

$inject: string[]

#### Returns

- Defined in src/directive/select/select.js:550